<!DOCTYPE html>
<html lang="en">
<head>
    <title>task 43</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  
    <!-- Import Datatable sau jquery -->
    <!-- Import them style bootstrap cho datatable -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>
<body>
     <!-- Menu -->
  <div class="container-fluid bg-light">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-warning" >
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav" type="text color:">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">Trang Chủ</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Combo</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Loại Pizza</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Gửi Đơn Hàng</a>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>
    <!-- Content -->
    <div class="container" style="padding: 120px 0 50px 0;">
        <div class="row">
          <div class="col-sm-12">
            <div class="row">
              <!-- Title row home -->
              <div class="col-sm-12" style="color: orange ;">
                <h1><b>Pizza 365</b></h1>
                <h3><i>Truly italian !</i></h3>
              </div>
              <!-- Slide row home -->
              <div class="col-sm-12">
                <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
                  <ol class="carousel-indicators">
                    <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                    <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                    <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                    <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                  </ol>
                  <div class="carousel-inner">
                    <div class="carousel-item active">
                      <img class="d-block w-100" src="images/1.jpg" alt="First slide">
                    </div>
                    <div class="carousel-item">
                      <img class="d-block w-100" src="images/2.jpg" alt="Second slide">
                    </div>
                    <div class="carousel-item">
                      <img class="d-block w-100" src="images/3.jpg" alt="Third slide">
                    </div>
                    <div class="carousel-item">
                      <img class="d-block w-100" src="images/4.jpg" alt="4 slide">
                    </div>
                  </div>
                  <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="sr-only">Previous</span>
                  </a>
                  <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="sr-only">Next</span>
                  </a>
                </div>
              </div>
     <!-- Title what we offer -->
              <div class="col-sm-12 text-center p-4 mt-4">
                <h2><b class="p-2 border-bottom" style="color: orange;">Tại sao lại Pizza 365</b></h2>
                <p></p>
              </div>
    <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 border" style="background-color: lightgoldenrodyellow;">
                <h3 class="p-2">Đa dạng</h3>
                <p class="p-2 text-dark" >Mẫu mã đa dạng, nhiều mùi vị và có tất cả những hương vị mà bạn mong muốn</p>
              </div>
              <div class="col-sm-3 p-4 border" style="background-color: yellow;">
                <h3 class="p-2">Chất Lượng</h3>
                <p class="p-2 text-dark">Nguyên Liệu rõ nguồn gốc, 100% tự nhiên, đảm bảo an toàn vệ sinh thực phẩm</p>
              </div>
              <div class="col-sm-3 p-4 border" style="background-color:lightsalmon ;">
                <h3 class="p-2">Hương Vị</h3>
                <p class="p-2 text-dark">Đảm bảo hương vị ngon, độc, lạ, mà bạn chỉ có thể trải nghiệm ở Pizza 365</p>
              </div>
              <div class="col-sm-3 p-4 border" style="background-color: orange;">
                <h3 class="p-2">Dịch Vụ</h3>
                <p class="p-2 text-dark">Thân Thiện, Hiện Đại và Giao Hàng Nhanh</p>
              </div>
            </div>
          </div>
          <div id="plans" class="row">
            <!-- Title what we offer -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-1 border-bottom" style="color: orange;">Menu Combo Pizza 365</b></h2>
              <p><span class="p-2" style="color: lightsalmon;">Hãy chọn cỡ pizza phù hợp với bạn!</span></p>
            </div>
            <!-- Content what we offer -->
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-4">
                  <div class="card">
                    <div class="card-header text-dark text-center" style="background-color:orange ;" >
                      <h3>Small</h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item"><b>Đường kính</b> 20cm</li>
                        <li class="list-group-item"><b>Sườn Nướng</b> 2</li>
                        <li class="list-group-item"><b>Salad</b> 200g</li>
                        <li class="list-group-item"><b>Nước Ngọt</b> 2</li>
                        <li class="list-group-item">
                          <h3><b>150.000</b></h3> VND
                        </li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button class="btn btn-warning" id="btn-small" style="height:35px;width:300px">Chọn</button>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card">
                    <div class="card-header text-dark text-center" style="background-color: lightsalmon;" >
                      <h3>Medium</h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item"><b>Đường Kính</b> 25cm</li>
                        <li class="list-group-item"><b>Sườn Nướng</b> 4</li>
                        <li class="list-group-item"><b>Salad</b> 300g</li>
                        <li class="list-group-item"><b>Nước Ngọt</b> 3</li>
                        <li class="list-group-item">
                          <h3><b>200.000</b></h3> VND
                        </li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button class="btn btn-warning" id="btn-medium" style="height:35px;width:300px">Chọn</button>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card">
                    <div class="card-header text-dark text-center" style="background-color:orange ;">
                      <h3>Large</h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item"><b>Đường Kính</b> 30cm</li>
                        <li class="list-group-item"><b>Sườn Nướng</b> 8</li>
                        <li class="list-group-item"><b>Salad</b> 500g</li>
                        <li class="list-group-item"><b>Nước Ngọt</b> 4</li>
                        <li class="list-group-item">
                          <h3><b>250.000</b></h3> VND
                        </li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button class="btn btn-warning" id="btn-large" style="height:35px;width:300px">Chọn</button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          
        <div id="about" class="row">
            <!-- Title Who We Are -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-2 border-bottom" style="color: orange;">Chọn loại Pizza</b></h2>
            </div>
            <!-- Content Who We Are -->
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-4">
                  <div class="card w-100" style="width: 18rem;">
                    <img src="images/seafood.jpg" class="card-img-top">
                    <div class="card-body">
                      <h3>OCEAN MANIA</h3>
                      <p>PIZZA HẢI SẢN XỐT MAYONNAISE</p>
                      <p>Xốt Cà Chua, Phô Mai Mozzarella, Tôm, Mực, Thanh Cua và Hành Tây
                      </p>
                      <p><button id="btn-ocean" class="btn btn-warning w-100" style="height:35px;width:300px">Chọn</button></p>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card w-100" style="width: 18rem;">
                    <img src="images/hawaiian.jpg" class="card-img-top">
                    <div class="card-body">
                      <h3>HAWAIIAN</h3>
                      <p>PIZZA DĂM BÔNG DỨA KIỂU HAWAIIAN</p>
                      <p>Xốt Cà Chua, Phô Mai Mozzarella, Tôm, Mực, Thanh Cua và Thơm (Dứa)</p>
                      <p><button id="btn-hawaiitian" class="btn btn-warning w-100" style="height:35px;width:300px">Chọn</button></p>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card w-100" style="width: 18rem;">
                    <img src="images/bacon.jpg" class="card-img-top">
                    <div class="card-body">
                      <h3>CHEESY CHICKEN BACON</h3>
                      <p>PIZZA GÀ PHÔ MAI THỊT HEO XÔNG KHÓI</p>
                      <p>Xốt Phô Mai, Thịt Gà,Thịt Heo Muối, Phô Mai Mozzarellavà Cà Chua</p>
                      <p><button  id="btn-bacon" class="btn btn-warning w-100" style="height:35px;width:300px">Chọn</button></p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
<!-- Chọn Đồ Uống -->
      <div class="col-sm-12 text-center p-4 mt-4">
        <h2><b class="p-2 border-bottom" style="color: orange;">Chọn Đồ Uống</b></h2>
      </div>

      <div class="col-sm-12">
        <select id="select-drink" class="form-control" >
          <option value="0">-- Chọn đồ uống --</option>
        </select>
      </div>
      <div id="contact" class="row">
<!-- Title Contact Us -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-2 border-bottom text-center" style="color: orange;">Gửi Đơn Hàng</b></h2>
        </div>
        </div>
<!-- Content Contact Us -->
        <div class="col-sm-12">
            <div class="row">
                <div class="col-sm-12">
                <div class="form-group">
                    <label for="fullname">Họ và tên</label>
                    <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
                </div>
                <div class="form-group">
                    <label for="email">Email</label>
                    <input type="text" class="form-control" id="inp-email" placeholder="Email">
                </div>
                <div class="form-group">
                    <label for="dien-thoai">Điện thoại</label>
                    <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Điện thoại">
                </div>
                <div class="form-group">
                    <label for="dia-chi">Địa chỉ</label>
                    <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
                </div>
                <div class="form-group">
                    <label for="message">Lời nhắn</label>
                    <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
                </div>
                <div class="form-group">
                    <label for="voucher">Mã giảm giá (voucher ID )</label>
                    <input type="text" class="form-control" id="inp-voucher" placeholder="Mã giảm giá">
                </div>
                <button type="button" class="btn btn-warning w-100" id="btn-gui-don"  data-toggle="modal" data-target="#exampleModal">Gửi</button>
                </div>
            </div>
        </div>

          <!-- Modal -->
          <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLabel">Thông tin đơn hàng</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  <div class="row">
                    <div class="col-sm-12">
                    <div class="form-group">
                        <label for="fullname">Họ và tên</label>
                        <input type="text" class="form-control" id="inp-fullname-modal" placeholder="Họ và tên">
                    </div>
                    <div class="form-group">
                        <label for="dien-thoai">Điện thoại</label>
                        <input type="text" class="form-control" id="inp-dien-thoai-modal" placeholder="Điện thoại">
                    </div>
                    <div class="form-group">
                        <label for="dia-chi">Địa chỉ</label>
                        <input type="text" class="form-control" id="inp-dia-chi-modal" placeholder="Địa chỉ">
                    </div>
                    <div class="form-group">
                        <label for="message">Lời nhắn</label>
                        <input type="text" class="form-control" id="inp-message-modal" placeholder="Lời nhắn">
                    </div>
                    <div class="form-group">
                        <label for="voucher">Mã giảm giá</label>
                        <input type="text" class="form-control" id="inp-voucher-modal" placeholder="Mã giảm giá">
                    </div>
                    <div class="form-group">
                      <label for="">Thông tin chi tiết</label>
                      <textarea name="" id="textarea-modal" cols="60" rows="5"></textarea>
                  </div>
                    </div>
                </div>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-danger" data-dismiss="modal">Quay lại</button>
                  <button type="button" class="btn btn-warning" id="create-oder">Tạo đơn</button>
                </div>
              </div>
            </div>
          </div>
          <div class="modal" tabindex="-1" role="dialog" id="modal-oder-success">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title">Cảm ơn bạn đã đặt hàng tại Pizza 365. Mã đơn hàng của bạn là</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  <p id="p-idOder"></p>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
              </div>
            </div>
          </div>
    </div>  
    </body>
    <script>
      "use strict";
  $(document).ready(function() {
/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */  
  // bạn có thê dùng để lưu trữ combo được chọn, mỗi khi khách chọn bạn lại đổi giá trị properties của nó
    var gSelectedMenuStructure = {
      menuName: "...",    // S, M, L
      duongKinhCM: 0,
      suongNuong: 0,
      saladGr: 0,
      drink: 0,
      priceVND: 0
    }
    var gSelectedPizzaType = "...";
    var gDiscount = 0;
    var gObjectsOder = {
          kichCo: "",
          duongKinh: "",
          suon: "",
          salad: "",
          loaiPizza: "",
          idVourcher: "",
          idLoaiNuocUong: "",
          soLuongNuoc: "",
          hoTen: "",
          thanhTien: "",
          email: "",
          soDienThoai: "",
          diaChi: "",
          loiNhan: ""
    }
    var idOder = 0;
//*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */  
   onPageLoading()
  // gán sự kiện cho nút btn small, btn medium, btn large
  $("#btn-small").on("click",function(){
    onBtnSmallClick();
  })
  $("#btn-medium").on("click",function(){
    onBtnMediumClick();
  })
  $("#btn-large").on("click",function(){
    onBtnLargeClick();
  })
  // gán sự kiện cho các nút btn Ocean, btn Hawaiian, btn Bacon
  $("#btn-ocean").on("click",function(){
    onBtnOceanClick();
  })
  $("#btn-hawaiitian").on("click",function(){
    onBtnHawaiianClick();
  })
  $("#btn-bacon").on("click",function(){
    onBtnBaconClick();
  })
  $("#btn-gui-don").on("click",function(){
    onBtnGuiDonClick();
  })
  
  $('#create-oder').on('click', function () {
    $("#exampleModal").modal("hide");
    onBtnCreateOder();

})
/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  // hàm xử lý sự kiện onPageLoad
  function onPageLoading(){
    "use strict";
      //Gọi hàm load loại đồ uống vào select đồ uống
      getDrinkList();
  }
  // hàm xử lý sự kiện nút small
    function onBtnSmallClick(){
        "use strict"
      var vSelectedMenuStructure = getSelectedMenu("S", 20, 1, 200, 2, 150000);
      vSelectedMenuStructure.displayMenuStructure();

      changeMenuButtonColor("S");
      gSelectedMenuStructure = vSelectedMenuStructure;
      }
  //hàm thay đổi màu nút của Medium khi nhấn
    function onBtnMediumClick(){
        "use strict"
      var vSelectedMenuStructure = getSelectedMenu("M", 25, 4, 300, 3, 200000);
      vSelectedMenuStructure.displayMenuStructure();

      changeMenuButtonColor("M");
      gSelectedMenuStructure = vSelectedMenuStructure;
      }
  //hàm thay đổi màu nút của Large khi nhấn
    function onBtnLargeClick(){
      "use strict"
      var vSelectedMenuStructure = getSelectedMenu("L", 30, 8, 500, 4, 250000);
      vSelectedMenuStructure.displayMenuStructure();

      changeMenuButtonColor("L");
      gSelectedMenuStructure = vSelectedMenuStructure;
      }
  // hàm ấn nút gửi đơn 
    function onBtnGuiDonClick()
    {
      var vVoucher = $("#inp-voucher").val();
      if(vVoucher!="")
      {
        onCheckVoucherIdClick(vVoucher);
      }
      getDataOder();
      pushDataToModal();
     
    }
     // hàm ấn nút tạo đơn 
     function onBtnCreateOder()
     {
      onCreateOrderClick();
     }
/*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // Hàm gọi API lấy dữ liệu đồ uống
    function getDrinkList(){
      $.ajax({
        url: "http://203.171.20.210:8080/devcamp-pizza365/drinks",
        type:"GET",
        async: false,
        dataType:"json",
        success: function(res){
          console.log(res);
          selectDrinkLoad(res);
        },
        error: function(error){
          console.log(error.responseText);
        }
      });
      
    }
    // hàm đổ dữ liệu vào select
    function selectDrinkLoad(paramDrink){
      "use strict";
      $.each(paramDrink,function(i,item){
        $("#select-drink").append($('<option>',{
          text: item.tenNuocUong,
          value: item.maNuocUong
        }))
      })
    }
    //Hàm đổi màu nút Pizza gà khi được chọn
    function onBtnOceanClick(){
      "use strict"
      gSelectedPizzaType = "Pizza Ocean";
      console.log("%cLoại pizza được chọn là: " + gSelectedPizzaType,"color:blue");
      changePizzaButtonColor("Ocean");
    }
    //Hàm đổi màu nút Pizza hải sản khi được chọn
    function onBtnHawaiianClick(){
      "use strict"
      gSelectedPizzaType = "Pizza Hawaiian";
      console.log("%cLoại pizza được chọn là: " + gSelectedPizzaType,"color:blue");
      changePizzaButtonColor("Hawaiian");
    }
    //Hàm đổi màu nút Pizza thịt nướng khi được chọn
    function onBtnBaconClick(){
      "use strict"
      gSelectedPizzaType = "Pizza Bacon";
      console.log("%cLoại pizza được chọn là: " + gSelectedPizzaType,"color:blue");
      changePizzaButtonColor("Bacon");
    }
    // hàm đổi màu button loại Pizza khi được chọn
    function changePizzaButtonColor(paramBtn){
      "use strict"
      var vBtnOcean = $("#btn-ocean");
      var vBtnHawaiian = $("#btn-hawaiitian");
      var vBtnBacon = $("#btn-bacon");

      if(paramBtn == "Ocean"){
        vBtnOcean.removeClass("btn-warning").addClass("btn btn-success");
        vBtnHawaiian.removeClass("btn-success").addClass("btn btn-warning");
        vBtnBacon.removeClass("btn-success").addClass("btn btn-warning");

      }else if(paramBtn == "Hawaiian"){
        vBtnOcean.removeClass("btn-success").addClass("btn btn-warning");
        vBtnHawaiian.removeClass("btn-warning").addClass("btn btn-success");
        vBtnBacon.removeClass("btn-success").addClass("btn btn-warning")

      }else if(paramBtn == "Bacon"){
        vBtnOcean.removeClass("btn-success").addClass("btn btn-warning");
        vBtnHawaiian.removeClass("btn-success").addClass("btn btn-warning");
        vBtnBacon.removeClass("btn-warning").addClass("btn btn-success");
      }
    }
    //hàm thay đổi màu nút theo lựa chọn menu S, M, L
      function changeMenuButtonColor(paramBtn){
      "use strict"
      var vBtnSmall = $("#btn-small");
      var vBtnMeudim = $("#btn-medium");
      var vBtnLarge = $("#btn-large");
      
      if(paramBtn == "S"){
        vBtnSmall.removeClass("btn-warning").addClass("btn btn-success");
        vBtnMeudim.removeClass("btn-success").addClass("btn btn-warning");
        vBtnLarge.removeClass("btn-success").addClass("btn btn-warning");

      }else if(paramBtn == "M"){
        vBtnSmall.removeClass("btn-success").addClass("btn btn-warning");
        vBtnMeudim.removeClass("btn-warning").addClass("btn btn-success");
        vBtnLarge.removeClass("btn-success").addClass("btn btn-warning");

      }else if(paramBtn == "L"){
        vBtnSmall.removeClass("btn-success").addClass("btn btn-warning");
        vBtnMeudim.removeClass("btn-success").addClass("btn btn-warning");
        vBtnLarge.removeClass("btn-warning").addClass("btn btn-success");
      }
    }
    //hàm nhận giá trị object Menu khi nút chọn menu đk nhấn và in ra console
    function getSelectedMenu(paramMenu, paramDuongKinh, paramSuonNuong, paramDrink, paramSalad, paramPrice){
      "use strict"
      var vSelectedMenuStructure = {
        menuName: paramMenu,    // S, M, L
        duongKinhCM: paramDuongKinh,
        suongNuong: paramSuonNuong,
        saladGr: paramSalad,
        drink: paramDrink,
        priceVND: paramPrice,
        displayMenuStructure(){
            console.log("%cMenu được chọn: " + this.menuName, "color:blue");
            console.log("Đường kính: " + this.duongKinhCM);
            console.log("Sườn nướng: " + this.suongNuong);
            console.log("Salad: " + this.saladGr);
            console.log("Drink: " + this.drink);
            console.log("Price: " + this.priceVND);
        }
      }
      return vSelectedMenuStructure;
    }
      // hàm check mã giảm giá
    function onCheckVoucherIdClick(paramVoucher)
    {
      "use strict"
      $.ajax({
        url: "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/"+paramVoucher,
        type:"GET",
        async: false,
        dataType:"json",
        success: function(res){
          console.log(res);
          gDiscount = parseInt(res.phanTramGiamGia);
        },
        error: function(error){
          console.log(error.responseText);
          alert("Mã voucher không khả dụng!");
          $("#inp-voucher").val("");
        }
      });
    }
    // lấy dữ liệu để oder
    function getDataOder()
    {
      gObjectsOder.kichCo = gSelectedMenuStructure.menuName;
      gObjectsOder.duongKinh = gSelectedMenuStructure.duongKinhCM.toString();
      gObjectsOder.suon = gSelectedMenuStructure.suongNuong.toString();
      gObjectsOder.salad = gSelectedMenuStructure.saladGr.toString();
      gObjectsOder.loaiPizza = gSelectedPizzaType;
      gObjectsOder.idVourcher = $("#inp-voucher").val();
      gObjectsOder.idLoaiNuocUong = $("#select-drink").val();
      gObjectsOder.soLuongNuoc = gSelectedMenuStructure.drink.toString();
      gObjectsOder.hoTen = $("#inp-fullname").val();
      gObjectsOder.thanhTien = ( gSelectedMenuStructure.priceVND * (100-gDiscount) / 100 ).toString();
      gObjectsOder.email = $("#inp-email").val().trim();
      gObjectsOder.soDienThoai =  $("#inp-dien-thoai").val().trim();
      gObjectsOder.diaChi =  $("#inp-dia-chi").val().trim();
      gObjectsOder.loiNhan =  $("#inp-message").val().trim();
      console.log(gObjectsOder);
    }
    // hiển thị dữ lieuẹ lên modal
    function pushDataToModal()
    {
        $("#inp-fullname-modal").val(gObjectsOder.hoTen);
        $("#inp-dien-thoai-modal").val(gObjectsOder.soDienThoai);
        $("#inp-dia-chi").val(gObjectsOder.diaChi);
        $("#inp-message-modal").val(gObjectsOder.loiNhan);
        $("#inp-voucher").val(gObjectsOder.idVourcher);
        var vTextarea = 'Xác nhận: ' + gObjectsOder.hoTen + ' , ' + gObjectsOder.soDienThoai + ' , ' + gObjectsOder.diaChi  + ". Menu " + gObjectsOder.kichCo + ", sường nướng " + gObjectsOder.suon +
        ", nước" + gObjectsOder.soLuongNuoc + ". Loai pizza " + gObjectsOder.loaiPizza + ", giá " + gSelectedMenuStructure.priceVND + ". Phải thanh toán " + 
        gObjectsOder.thanhTien + "(giảm " + gDiscount + "%)"
        $("#textarea-modal").val(vTextarea);
    }
    // hàm gọi api gửi oder leen sever
    function onCreateOrderClick()
    {
      
        $.ajax({
            url: "http://203.171.20.210:8080/devcamp-pizza365/orders",
            type: 'POST',
            data: JSON.stringify(gObjectsOder),
            dataType: 'json',
            contentType:'application/json;charset=UTF-8',
            async: false,
            success: function(res) {
                $('#modal-oder-success').modal("show");
                console.log(res);
                idOder = res.id;
                $("#p-idOder").html("Mã đơn hàng : " + idOder);
            },
            error: function () {
                alert("Thêm oder không thành công!");
            }
        })
    }
    


  });

   
    </script>
</html>